package network

import "git.hpds.cc/Component/network/frame"

// AsyncHandler is the request-response mode (async)
type AsyncHandler func([]byte) (byte, []byte)

// PipeHandler is the bidirectional stream mode (blocking).
type PipeHandler func(in <-chan []byte, out chan<- *frame.PayloadFrame)
